{% extends "base.html" %}

{% block app_content %}
    <table class="table table-no-hover">
        <tr >
            <td width="256px" ><img  src="{{ user.avatar(256) }}" style="position:relative; left:-10px; "></td>
            <td>
                
                <h3>  {{ _('User') }}: {{ user.username }}</h3>
                {% if user.about_me %}<p>{{ user.about_me }}</p>{% endif %}
                {% if user.last_seen %}
                <p>{{ _('Last seen on') }}: {{ moment(user.last_seen).format('LLL') }}</p>
                {% endif %}
                <p>{{ _('%(count)d followers', count=user.followers.count()) }}, {{ _('%(count)d following', count=user.followed.count()) }}</p>
                {% if user == current_user %}
                <p><a href="{{ url_for('main.edit_profile') }}">{{ _('Edit your profile') }}</a></p>
                <p><a href="{{ url_for('main.edit_personalized_notifications') }}">{{ _('Edit your Personalized Recommendation') }}</a></p>
                {% if not current_user.get_task_in_progress('export_posts') %}
                <!--<p><a href="#{# url_for('main.export_posts') #}">{{ _('Export your posts') }}</a></p> -->
                {% endif %}
                {% elif not current_user.is_following(user) %}
                <p>
                    <form action="{{ url_for('main.follow', username=user.username) }}" method="post">
                        {{ form.hidden_tag() }}
                        {{ form.submit(value=_('Follow'), class_='btn btn-default') }}
                    </form>
                </p>
                {% else %}
                <p>
                    <form action="{{ url_for('main.unfollow', username=user.username) }}" method="post">
                        {{ form.hidden_tag() }}
                        {{ form.submit(value=_('Unfollow'), class_='btn btn-default') }}
                    </form>
                </p>
                {% endif %}

                {% if user != current_user %}
                <p><a href="{{ url_for('main.send_message', recipient=user.username) }}">{{ _('Send private message') }}</a></p>
                {% endif %}
            </td>
        </tr>
    </table>
    {% for post in posts %}
        {% include '_post.html' %}
    {% endfor %}
    <nav aria-label="...">
        <ul class="pager">
            <li class="previous{% if not prev_url %} disabled{% endif %}">
                <a href="{{ prev_url or '#' }}">
                    <span aria-hidden="true">&larr;</span> {{ _('Newer posts') }}
                </a>
            </li>
            <li class="next{% if not next_url %} disabled{% endif %}">
                <a href="{{ next_url or '#' }}">
                    {{ _('Older posts') }} <span aria-hidden="true">&rarr;</span>
                </a>
            </li>
        </ul>
    </nav>
{% endblock %}
